perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Pan" <huang-ming....@attbi.com>
Subject Re: how to install Embperl with Apache2
Date Mon, 03 Feb 2003 17:19:23 GMT
hi Randy,

thanks for the reply regarding embperl + apache2 + mod_perl2 installation.

i used embperl on linux years ago. i still remember the pain to search
everywhere and install all the stuff to complete embperl installation. is it
possible to provide "binary plugin" of embperl per most recen release of
Win32 apache+mod_perl to benefit all those new comers who would like to try
such a beautiful server-scripting tool like embperl? building from source
and tedious module search makes massive installation impossible, thus hinder
its popularity and commercial value.

Best Regards,

Peter Pan
http://autozine.kyul.net/classic/mercedes.htm

----- Original Message -----
From: "Randy Kobes" <randy@theoryx5.uwinnipeg.ca>
To: "Peter Pan" <huang-ming.pan@attbi.com>
Cc: <embperl@perl.apache.org>
Sent: Monday, February 03, 2003 7:15 AM
Subject: Re: how to install Embperl with Apache2


> On Sun, 2 Feb 2003, Peter Pan wrote:
>
> > I tried to install Embperl 2.08b on Win/2000 with Apache 2.0
> > and ActivePerl-5.8.0.804-MSWin32-x86.msi. I was asked where
> > Apache source is and don't know how to answer it, because I
> > have entire httpd-2.0.44 source tree but don't know how to make
> > required "ApacheCore.lib" out of it.
> >
> > Could you please instruct me how to go on installing Embperl
> > fro here? Thanks a lot.
>
> Assuming you have Visual C++ 6, what you should do is first build
> Apache 2.0 from the sources and install it (eg, to C:\Apache2).
> Then do the same for mod_perl 2.0. Instructions for doing this
> are found in the docs at http://httpd.apache.org/ and
> http://perl.apache.org/, respectively. Then, when you run 'perl
> Makefile.PL' for Embperl, give the C:\Apache2 directory as the
> location for these sources. At the moment this Makefile.PL then
> asks for ApacheCore.lib, which is from mod_perl 1.0, so it's
> getting mixed up a bit between mod_perl 1 and 2; this'll have to
> be fixed first before proceeding.
>
> --
> best regards,
> randy kobes
>
>


---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message